#include "CameraDrivingPerceptionOne_GeneralWrapper.h"

#include "sub/SubWrapperHelper.h"
#include "camera_driving_perception/executable.h"
#include "CameraDrivingPerceptionOne_SubDataWrapper.h"

GeneralWrapper::GeneralWrapper(ara::log::Logger& mainLog) : 
_CamDrvPerception2Fusion_Provide("camera_driving_perception/camera_driving_perception/CamDrvPerception2FusionPPort" ,mainLog),
_CamDrv2CamDrvPerception_Required("camera_driving_perception/camera_driving_perception/CamDrv2CamDrvPerceptionRPort" ,mainLog),
_Slam2DrvPerceptionOdom_Required("camera_driving_perception/camera_driving_perception/Slam2DrvPerceptionOdomRPort" ,mainLog),
_CAN2DrvPerception_Required("camera_driving_perception/camera_driving_perception/CAN2DrvPerceptionTwoRPort" ,mainLog),
_VED2DrvPerception_Required("camera_driving_perception/camera_driving_perception/VED2DrvPerceptionRPort" ,mainLog)
{
    //Provides
    _CamDrvPerception2Fusion_Provide.Init();
    //Requireds
    _CamDrv2CamDrvPerception_Required.Init();
    _Slam2DrvPerceptionOdom_Required.Init();
    _CAN2DrvPerception_Required.Init();
    _VED2DrvPerception_Required.Init();
}
GeneralWrapper::~GeneralWrapper() 
{
    _CamDrv2CamDrvPerception_Required.Destroy();
    _Slam2DrvPerceptionOdom_Required.Destroy();
    _CAN2DrvPerception_Required.Destroy();
    _VED2DrvPerception_Required.Destroy();
}


void GeneralWrapper::Start() {
    
}

